## powder 106

=== port/linux/Makefile ===
TARGET = powder

OFILES = linuxmain.o \
	 ../sdl/hamfake.o \
	 ../../action.o \
	 ../../assert.o \
	 ../../ai.o \
	 ../../artifact.o \
	 ../../bmp.o \
	 ../../build.o \
	 ../../buf.o \
	 ../../control.o \
	 ../../creature.o \
	 ../../dpdf_table.o \
	 ../../encyc_support.o \
	 ../../gfxengine.o \
	 ../../grammar.o \
	 ../../hiscore.o \
	 ../../input.o \
	 ../../intrinsic.o \
	 ../../item.o \
	 ../../map.o \
	 ../../mobref.o \
	 ../../msg.o \
	 ../../name.o \
	 ../../piety.o \
	 ../../rand.o \
	 ../../signpost.o \
	 ../../smokestack.o \
	 ../../speed.o \
	 ../../sramstream.o \
	 ../../stylus.o \
	 ../../victory.o \
	 ../../encyclopedia.o \
	 ../../glbdef.o \
	 ../../credits.o \
	 ../../license.o \
	 ../../gfx/all_bitmaps.o \
	 ../../rooms/allrooms.o

include ../../make/makerules.LINUX

clean:
	cd ../.. ; rm -f *.o
	cd ../../gfx ; rm -f *.o
	rm -f *.o
	cd ../sdl ; rm -f *.o
	rm -f $(TARGET)

premake:
	cd ../../rooms ; ./buildrooms.bash
	cd ../../gfx ; ./rebuild.sh
	cd ../.. ; support/enummaker/enummaker source.txt
	cd ../.. ; support/txt2c/txt2c LICENSE.TXT license.cpp
	cd ../.. ; support/txt2c/txt2c CREDITS.TXT credits.cpp
	cd ../.. ; support/encyclopedia2c/encyclopedia2c encyclopedia.txt

## powder 107

=== port/psp/Makefile ===
TARGET = powder

PSPSDK = $(shell psp-config --pspsdk-path)
PSPBIN = $(shell psp-config --psp-prefix)/bin
SDL_CONFIG = $(PSPBIN)/sdl-config

DEFAULT_CFLAGS = $(shell $(SDL_CONFIG) --cflags) 
PSP_FW_VERSION=371
EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = Powder
PSP_EBOOT_ICON= icon0.png
PSP_EBOOT_PIC1 = pic1.png

OBJS = pspmain.o \
	 hamfake.o \
	 ../../action.o \
	 ../../assert.o \
	 ../../ai.o \
	 ../../artifact.o \
	 ../../bmp.o \
	 ../../build.o \
	 ../../buf.o \
	 ../../control.o \
	 ../../creature.o \
	 ../../dpdf_table.o \
	 ../../encyc_support.o \
	 ../../gfxengine.o \
	 ../../grammar.o \
	 ../../hiscore.o \
	 ../../input.o \
	 ../../intrinsic.o \
	 ../../item.o \
	 ../../map.o \
	 ../../mobref.o \
	 ../../msg.o \
	 ../../name.o \
	 ../../piety.o \
	 ../../rand.o \
	 ../../signpost.o \
	 ../../smokestack.o \
	 ../../speed.o \
	 ../../sramstream.o \
	 ../../stylus.o \
	 ../../victory.o \
	 ../../encyclopedia.o \
	 ../../glbdef.o \
	 ../../credits.o \
	 ../../license.o \
	 ../../gfx/all_bitmaps.o \
	 ../../rooms/allrooms.o

#include ../../make/makerules.LINUX

CFLAGS = -O3 -g -G0 $(GLOBAL_CFLAGS) -Wall -DSYS_PSP $(INCLUDES) -I/usr/local/pspdev/psp/include/freetype2 \
					-I/usr/local/pspdev/psp/sdk/include -I/usr/local/pspdev/psp/include/SDL \
					-DLINUX -I ../../port/sdl \
					-I .
         
CXXFLAGS = $(CFLAGS) -fno-exceptions -fno-rtti
ASFLAGS = $(CFLAGS)

LIBS += -lpsppower -lpspaudio -lpspgu -lpsphprm -lpsprtc -lstdc++ -lz -lm \
		$(shell $(SDL_CONFIG) --libs)
		
include $(PSPSDK)/lib/build.mak

all: EBOOT.PBP

pclean:
	cd ../.. ; rm -f *.o
	cd ../../gfx ; rm -f *.o
	rm -f *.o
	cd ../sdl ; rm -f *.o
	rm -f $(TARGET)

premake:
	cd ../../rooms ; ./buildrooms.bash
	cd ../../gfx ; ./rebuild.sh
	cd ../.. ; support/enummaker/enummaker source.txt
	cd ../.. ; support/txt2c/txt2c LICENSE.TXT license.cpp
	cd ../.. ; support/txt2c/txt2c CREDITS.TXT credits.cpp
	cd ../.. ; support/encyclopedia2c/encyclopedia2c encyclopedia.txt

## powder 114

=== port/linux/Makefile ===
--- 
+++ 
@@ -38,19 +38,45 @@
 	 ../../gfx/all_bitmaps.o \
 	 ../../rooms/allrooms.o
 
-include ../../make/makerules.LINUX
+PREMAKE = ../../support/map2c/map2c \
+	  ../../support/tile2c/tile2c \
+	  ../../support/bmp2c/bmp2c \
+	  ../../support/encyclopedia2c/encyclopedia2c \
+	  ../../support/enummaker/enummaker \
+	  ../../support/txt2c/txt2c
+
+all: $(TARGET)
+
+powder: premake $(OFILES)
+	$(CXX) -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS)
+
+.cpp.o:
+	$(CXX) -DLINUX -I ../../port/sdl `sdl-config --cflags` -c $< -o $@ $(CXXFLAGS)
+
+powder-static: premake $(OFILES)
+	# This extra step is from:
+	# http://www.trilithium.com/johan/2005/06/static-libstdc/
+	# and is to try and ensure we end up with a static link
+	# of stdc++.
+	$(RM) libstdc++.a
+	ln -s `g++ -print-file-name=libstdc++.a`
+	$(CXX) -static-libgcc -L. -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS)
 
 clean:
-	cd ../.. ; rm -f *.o
-	cd ../../gfx ; rm -f *.o
-	rm -f *.o
-	cd ../sdl ; rm -f *.o
-	rm -f $(TARGET)
+	$(RM) $(OFILES)
+	$(RM) $(TARGET)
+	@for s in $$( echo "$(PREMAKE)" | tr -s '' '\n'); do \
+		$(MAKE) clean -C `dirname $$s`; \
+	done;
 
-premake:
+$(PREMAKE):
+	$(MAKE) -C `dirname $@`
+
+premake: $(PREMAKE)
 	cd ../../rooms ; ./buildrooms.bash
 	cd ../../gfx ; ./rebuild.sh
 	cd ../.. ; support/enummaker/enummaker source.txt
 	cd ../.. ; support/txt2c/txt2c LICENSE.TXT license.cpp
 	cd ../.. ; support/txt2c/txt2c CREDITS.TXT credits.cpp
 	cd ../.. ; support/encyclopedia2c/encyclopedia2c encyclopedia.txt
+

=== debian/changelog ===
powder (114-1) unstable; urgency=low

  * New upstream version.
  * Add a freedestop.org menu entry. (Closes: #560982)
    Thanks Colin Watson for the patch.
  * Switch to dpkg-source format version 3.0 (quilt).
  * Bump standards version to 3.8.4.
  * Remove savefile.
  * Add watch file.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 19 May 2010 14:13:09 +0200

powder (112-1) unstable; urgency=low

  * New upstream version.
  * Add Debian Games Team to Uploaders.
  * Bump standards version.
  * Call a bash script with bash not sh. (Closes: #534692)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 02 Nov 2009 13:07:52 +0100

powder (111-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 27 May 2009 14:51:44 +0200

powder (110-2) unstable; urgency=low

  * Added the XS-Autobuild: yes header to debian/control.
  * Added a note about autobuilding to debian/copyright.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 04 Mar 2009 12:29:02 +0100

powder (110-1) unstable; urgency=low

  * New upstream version.
  * Fix debian/copyright.
  * Bump debhelper version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 20 Feb 2009 15:44:58 +0100

powder (109-1) unstable; urgency=low

  * New upstream version.
  * Apply patch to fix the crashing bug. (Closes: #492506)
    Thanks to Chris Carr and Jeff Lait.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 09 Jan 2009 10:28:44 +0100

powder (107-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 05 Aug 2008 15:31:52 +0200

powder (106-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 03 Jul 2008 12:12:39 +0200

powder (105-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 14 May 2008 07:37:51 +0200

powder (104-1) unstable; urgency=low

  * Initial release. (Closes: #469476)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 03 Mar 2008 16:14:38 +0100

## powder 115

=== port/linux/Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 all: $(TARGET)
 
 powder: premake $(OFILES)
-	$(CXX) -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS)
+	$(CXX) -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS) $(LDFLAGS)
 
 .cpp.o:
 	$(CXX) -DLINUX -I ../../port/sdl `sdl-config --cflags` -c $< -o $@ $(CXXFLAGS)
@@ -59,8 +59,8 @@
 	# and is to try and ensure we end up with a static link
 	# of stdc++.
 	$(RM) libstdc++.a
-	ln -s `g++ -print-file-name=libstdc++.a`
-	$(CXX) -static-libgcc -L. -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS)
+	ln -s `$(CXX) -print-file-name=libstdc++.a`
+	$(CXX) -static-libgcc -L. -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS) $(LDFLAGS)
 
 clean:
 	$(RM) $(OFILES)

=== debian/changelog ===
powder (115-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.1.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 17 Dec 2010 09:55:47 +0100

=== debian/control ===
Source: powder
Section: non-free/games
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), libsdl1.2-dev
Homepage: http://www.zincland.com/powder/
XS-Autobuild: yes
Standards-Version: 3.9.1

Package: powder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Graphical dungeon crawling game
 This is a roguelike originally developed specifically for the Gameboy
 Advance (GBA). It is not a port of an existing roguelike as the controls
 of the GBA are very different from the traditional keyboard, and the screen
 imposes some additional limitations. It is built around replayability and
 long term ergonomics, not short term learning. It uses actual graphic tiles
 (16x16) rather than the traditional characters.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	bash -ex ./buildall.sh
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f *.o */*.o */*/*.o rooms/*.cpp rooms/allrooms.h gfx/*.c gfx/*/*.c
	rm -f license.cpp glbdef.cpp glbdef.h encyclopedia.cpp encyclopedia.h
	rm -f credits.cpp gfx/akoi3x/sprite16_3x.bmp
	rm -f powder port/linux/powder support/bmp2c/bmp2c support/encyclopedia2c/encyclopedia2c support/enummaker/enummaker support/map2c/map2c support/tile2c/tile2c support/txt2c/txt2c port/linux/libstdc++.a
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## powder 115-1

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 build-stamp:
 	dh_testdir
-	bash -ex ./buildall.sh
+	bash -ex ./buildall.sh --use-home-dir
 	touch $@
 
 clean:
@@ -30,11 +30,11 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
+#	dh_installchangelogs
+#	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-	dh_installman
+#	dh_installman
 	dh_link
 	dh_strip
 	dh_compress

## powder 115-2

=== debian/changelog ===
powder (115-2) unstable; urgency=low

  * Maemo5 version
  * Sdl-bug workaround: https://bugs.maemo.org/show_bug.cgi?id=5153

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue,  4 Jan 2011 12:07:01 +0200

## powder 115-maemo1

=== debian/changelog ===
powder (115-maemo1) unstable; urgency=low

  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Aug 2011 11:27:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7), libsdl1.2-dev
 Homepage: http://www.zincland.com/powder/
 XS-Autobuild: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.8.4
 
 Package: powder
 Architecture: any

## powder 115-maemo2

=== debian/changelog ===
powder (115-maemo2) unstable; urgency=low

  * Swapped alt+ctrl (ctrl=jump, alt=safewalk)
  * Repository to non-free

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Aug 2011 13:59:01 +0200

## powder 115-maemo3

=== debian/changelog ===
powder (115-maemo3) unstable; urgency=low

  * .desktop fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Aug 2011 15:06:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: powder
-Section: non-free/games
+Section: user/games
 Priority: optional
-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 7), libsdl1.2-dev
 Homepage: http://www.zincland.com/powder/
 XS-Autobuild: yes

## powder 116

=== debian/changelog ===
powder (116-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.2.
  * Bump debhelper version to 8.
  * debian/copyright: update copyright years.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 28 Sep 2011 14:51:48 +0200

## powder 116-maemo1

=== debian/changelog ===
powder (116-maemo1) unstable; urgency=low

  * New upstream version
  * Swapped alt+ctrl (ctrl=jump, alt=safewalk)
  * Sdl-bug workaround: https://bugs.maemo.org/show_bug.cgi?id=5153

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  09 Nov 2011 13:02:01 +0200

## powder 117

=== port/gba/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------

ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/gba_rules

#---------------------------------------------------------------------------------
# TARGET is the name of the output
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
#---------------------------------------------------------------------------------
TARGET		:=	powder

#---------------------------------------------------------------------------------
# any extra libraries we wish to link with the project
#---------------------------------------------------------------------------------
LIBS	:= -lgba
 
 
#---------------------------------------------------------------------------------
# list of directories containing libraries, this must be the top level containing
# include and lib
#---------------------------------------------------------------------------------
LIBDIRS	:=	$(LIBGBA)
#---------------------------------------------------------------------------------
# options for code generation
#---------------------------------------------------------------------------------
ARCH	:=	-mthumb -mthumb-interwork

INCLUDE	:=	-I$(LIBGBA)/include -I$(CURDIR)
 
LIBPATHS	:=	$(foreach dir,$(LIBDIRS),-L$(dir)/lib)
 
CFLAGS	:=	-g -Wall -O1\
 			-mcpu=arm7tdmi -mtune=arm7tdmi -fomit-frame-pointer\
			-ffast-math -fno-short-enums \
			$(ARCH)

CFLAGS	+=	$(INCLUDE) -DNO_HAM
CXXFLAGS	:= $(CFLAGS) -fno-rtti -fno-exceptions

ASFLAGS	:=	-g $(ARCH)
LDFLAGS	=	-g $(ARCH) -Wl,-Map,$(notdir $*.map)

 
#---------------------------------------------------------------------------------
# no real need to edit anything past this point unless you need to add additional
# rules for different file extensions
#---------------------------------------------------------------------------------
#---------------------------------------------------------------------------------
 
OUTPUT	:=	$(CURDIR)/$(TARGET)
 
VPATH	:=	

DEPSDIR	:=	$(CURDIR)

CFILES		:=	
CPPFILES	:=	gbamain.cpp \
			hamfake.cpp \
			../../action.cpp \
			../../assert.cpp \
			../../ai.cpp \
			../../artifact.cpp \
			../../bmp.cpp \
			../../build.cpp \
			../../buf.cpp \
			../../control.cpp \
			../../creature.cpp \
			../../dpdf_table.cpp \
			../../encyc_support.cpp \
			../../gfxengine.cpp \
			../../grammar.cpp \
			../../hiscore.cpp \
			../../input.cpp \
			../../intrinsic.cpp \
			../../item.cpp \
			../../map.cpp \
			../../mobref.cpp \
			../../msg.cpp \
			../../name.cpp \
			../../piety.cpp \
			../../rand.cpp \
			../../signpost.cpp \
			../../smokestack.cpp \
			../../speed.cpp \
			../../sramstream.cpp \
			../../stylus.cpp \
			../../victory.cpp \
			../../encyclopedia.cpp \
			../../glbdef.cpp \
			../../credits.cpp \
			../../license.cpp \
			../../gfx/all_bitmaps.cpp \
			../../rooms/allrooms.cpp

SFILES		:=	
BINFILES	:=	
 
#---------------------------------------------------------------------------------
# use CXX for linking C++ projects, CC for standard C
#---------------------------------------------------------------------------------
LD	:=	$(CXX)

OFILES	:=	$(addsuffix .o,$(BINFILES)) \
					$(CPPFILES:.cpp=.o) $(CFILES:.c=.o) $(SFILES:.s=.o)
 
DEPENDS	:=	$(OFILES:.o=.d)
 
#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
$(OUTPUT).gba	:	$(OUTPUT).elf

$(OUTPUT).elf	:	$(OFILES)
 
#---------------------------------------------------------------------------------
%.o	:	%.bin
#---------------------------------------------------------------------------------
	@echo $(notdir $<)
	@$(bin2o)
 
 
# We include this postfix rule as we want to include the version
# number in the ROM tag, not just the title.  And we are particular
# about our caps.
postmake: 
	gbafix powder.gba -tPOWDER`cat ../../VERSION.TXT`

-include $(DEPENDS)

#---------------------------------------------------------------------------------
#---------------------------------------------------------------------------------
clean:
	@echo clean ...
	rm -f $(OFILES) $(DEPENDS) $(TARGET).elf $(TARGET).gba

=== port/psp/Makefile ===
--- 
+++ 
@@ -59,8 +59,9 @@
 CXXFLAGS = $(CFLAGS) -fno-exceptions -fno-rtti
 ASFLAGS = $(CFLAGS)
 
-LIBS += -lpsppower -lpspaudio -lpspgu -lpsphprm -lpsprtc -lstdc++ -lz -lm \
-		$(shell $(SDL_CONFIG) --libs)
+LIBS +=	$(shell $(SDL_CONFIG) --libs) \
+	-lpsppower -lpspaudio -lpspgu -lpsphprm -lpsprtc -lstdc++ -lz -lm
+	
 		
 include $(PSPSDK)/lib/build.mak

=== support/builddpdf/Makefile ===
TARGET = builddpdf

OFILES = builddpdf.o \
	 dpdf.o

include ../../make/makerules

=== support/encyclopedia2c/Makefile ===
TARGET = encyclopedia2c

OFILES = encyclopedia2c.o \
	 stdafx.o

include ../../make/makerules

=== support/tile2c/Makefile ===
TARGET = tile2c

OFILES = tile2c.o \
	 bmp.o

include ../../make/makerules

=== support/txt2c/Makefile ===
TARGET = txt2c

OFILES = txt2c.o \
	 StdAfx.o

include ../../make/makerules

=== debian/changelog ===
powder (117-2) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-6. (Closes: #836931)
  * Store saves in ~/.powder/ (Closes: #783379)

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 11 Sep 2016 00:42:59 +0200

powder (117-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 03 Feb 2012 09:38:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: powder
-Section: user/games
+Section: non-free/games
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 7), libsdl1.2-dev
+Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
+Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 8), libsdl1.2-dev
 Homepage: http://www.zincland.com/powder/
 XS-Autobuild: yes
-Standards-Version: 3.8.4
+Standards-Version: 3.9.8
 
 Package: powder
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:
 	dh_testdir
@@ -30,11 +32,11 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs
-#	dh_installdocs
+	dh_installchangelogs
+	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-#	dh_installman
+	dh_installman
 	dh_link
 	dh_strip
 	dh_compress

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://www.zincland.com/powder/index.php?pagename=release (?:.*/)?powder?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate

## powder 118

=== debian/changelog ===
powder (118-1) unstable; urgency=medium

  * New upstream version.
  * New maintainer. (Closes: #691835)
  * Bump debhelper version to 11.
  * Bump standards version to 4.1.3.
  * debian/menu: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 07 Mar 2018 14:15:08 +0100

## powder 118+dfsg1

=== port/ds/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------

ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

#---------------------------------------------------------------------------------
# TARGET is the name of the output
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
#---------------------------------------------------------------------------------
TARGET		:=	powder

#---------------------------------------------------------------------------------
# any extra libraries we wish to link with the project
#---------------------------------------------------------------------------------
LIBS	:= -lfat -lnds9
 
 
#---------------------------------------------------------------------------------
# list of directories containing libraries, this must be the top level containing
# include and lib
#---------------------------------------------------------------------------------
LIBDIRS	:=	$(LIBNDS)
#---------------------------------------------------------------------------------
# options for code generation
#---------------------------------------------------------------------------------
ARCH	:=	-mthumb -mthumb-interwork

INCLUDE	:=	-I$(LIBNDS)/include -I$(CURDIR)
 
LIBPATHS	:=	$(foreach dir,$(LIBDIRS),-L$(dir)/lib)
 
CFLAGS	:=	-g -Wall -O1\
 			-march=armv5te -mtune=arm946e-s -fomit-frame-pointer\
			-ffast-math -fno-short-enums \
			$(ARCH)

CFLAGS	+=	$(INCLUDE) -DARM9 -DUSING_DS
CXXFLAGS	:= $(CFLAGS) -fno-rtti -fno-exceptions

ASFLAGS	:=	-g $(ARCH)
LDFLAGS	=	-specs=ds_arm9.specs -g $(ARCH) -mno-fpu -Wl,-Map,$(notdir $*.map)

 
#---------------------------------------------------------------------------------
# no real need to edit anything past this point unless you need to add additional
# rules for different file extensions
#---------------------------------------------------------------------------------
#---------------------------------------------------------------------------------
 
OUTPUT	:=	$(CURDIR)/$(TARGET)
 
VPATH	:=	

DEPSDIR	:=	$(CURDIR)

CFILES		:=	
CPPFILES	:=	dsmain.cpp \
			hamfake.cpp \
			../../action.cpp \
			../../assert.cpp \
			../../ai.cpp \
			../../artifact.cpp \
			../../bmp.cpp \
			../../build.cpp \
			../../buf.cpp \
			../../control.cpp \
			../../creature.cpp \
			../../dpdf_table.cpp \
			../../encyc_support.cpp \
			../../gfxengine.cpp \
			../../grammar.cpp \
			../../hiscore.cpp \
			../../input.cpp \
			../../intrinsic.cpp \
			../../item.cpp \
			../../map.cpp \
			../../mobref.cpp \
			../../msg.cpp \
			../../name.cpp \
			../../piety.cpp \
			../../rand.cpp \
			../../signpost.cpp \
			../../smokestack.cpp \
			../../speed.cpp \
			../../sramstream.cpp \
			../../stylus.cpp \
			../../victory.cpp \
			../../encyclopedia.cpp \
			../../glbdef.cpp \
			../../credits.cpp \
			../../license.cpp \
			../../gfx/all_bitmaps.cpp \
			../../rooms/allrooms.cpp

SFILES		:=	
BINFILES	:=	
 
#---------------------------------------------------------------------------------
# use CXX for linking C++ projects, CC for standard C
#---------------------------------------------------------------------------------
LD	:=	$(CXX)

OFILES	:=	$(addsuffix .o,$(BINFILES)) \
					$(CPPFILES:.cpp=.o) $(CFILES:.c=.o) $(SFILES:.s=.o)
 
DEPENDS	:=	$(OFILES:.o=.d)
 
#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
$(OUTPUT).ds.gba	: 	$(OUTPUT).nds
# $(OUTPUT).nds	: 	$(OUTPUT).arm9

$(OUTPUT).nds: $(OUTPUT).arm9
	ndstool -c powder.nds -7 $(DEVKITPRO)/libnds/basic.arm7 -9 powder.arm9 -b ../../gfx/icon_nds.bmp "POWDER `cat ../../VERSION.TXT`; By Jeff Lait; "

$(OUTPUT).arm9	:	$(OUTPUT).elf
$(OUTPUT).elf	:	$(OFILES)
 
#---------------------------------------------------------------------------------
%.bin.o	:	%.bin
#---------------------------------------------------------------------------------
	@echo $(notdir $<)
	@$(bin2o)
 
 
-include $(DEPENDS)

#---------------------------------------------------------------------------------
#---------------------------------------------------------------------------------
clean:
	@echo clean ...
	rm -f $(OFILES) $(DEPENDS) $(TARGET).elf $(TARGET).nds $(TARGET).arm9 $(TARGET).ds.gba

=== port/gp2x/Makefile ===
TARGET = powder

GP2XSDK=/usr/local/gp2xdev
GP2XBIN=$(GP2XSDK)/bin
SDL_CONFIG = $(GP2XBIN)/sdl-config

DEFAULT_CFLAGS = $(shell $(SDL_CONFIG) --cflags)
CC=$(GP2XBIN)/gp2x-g++

OFILES = ../linux/linuxmain.o \
	 hamfake.o \
	 ../../action.o \
	 ../../assert.o \
	 ../../ai.o \
	 ../../artifact.o \
	 ../../bmp.o \
	 ../../build.o \
	 ../../buf.o \
	 ../../control.o \
	 ../../creature.o \
	 ../../dpdf_table.o \
	 ../../encyc_support.o \
	 ../../gfxengine.o \
	 ../../grammar.o \
	 ../../hiscore.o \
	 ../../input.o \
	 ../../intrinsic.o \
	 ../../item.o \
	 ../../map.o \
	 ../../mobref.o \
	 ../../msg.o \
	 ../../name.o \
	 ../../piety.o \
	 ../../rand.o \
	 ../../signpost.o \
	 ../../smokestack.o \
	 ../../speed.o \
	 ../../sramstream.o \
	 ../../stylus.o \
	 ../../victory.o \
	 ../../encyclopedia.o \
	 ../../glbdef.o \
	 ../../credits.o \
	 ../../license.o \
	 ../../gfx/all_bitmaps.o \
	 ../../rooms/allrooms.o

include ../../make/makerules.GP2X

CFLAGS = -O3 -g -I$(GP2XSDK)/include $(shell $(SDL_CONFIG) --cflags)

CXXFLAGS = $(CFLAGS)
ASFLAGS = $(CFLAGS)

LIBS += $(shell $(SDL_CONFIG) --static-libs) -static

clean:
	cd ../.. ; rm -f *.o
	cd ../../gfx ; rm -f *.o
	rm -f *.o
	cd ../sdl ; rm -f *.o
	cd ../linux ; rm -f *.o
	rm -f $(TARGET)

postmake:
	cp ../../CREDITS.TXT Powder2X/CREDITS.TXT
	cp ../../README.TXT Powder2X/README.TXT
	cp ../../LICENSE.TXT Powder2X/LICENSE.TXT
	cp powder Powder2X/pdata

=== port/linux/Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 all: $(TARGET)
 
-powder: premake $(OFILES)
+powder: $(OFILES)
 	$(CXX) -o $(TARGET) $(OFILES) `sdl-config --libs` $(CXXFLAGS) $(LDFLAGS)
 
 .cpp.o:

=== port/mac/Makefile ===
TARGET = powder


OFILES = macmain.o \
	 SDLMain.o \
	 ../sdl/hamfake.o \
	 ../../action.o \
	 ../../assert.o \
	 ../../ai.o \
	 ../../artifact.o \
	 ../../bmp.o \
	 ../../build.o \
	 ../../buf.o \
	 ../../control.o \
	 ../../creature.o \
	 ../../dpdf_table.o \
	 ../../encyc_support.o \
	 ../../gfxengine.o \
	 ../../grammar.o \
	 ../../hiscore.o \
	 ../../input.o \
	 ../../intrinsic.o \
	 ../../item.o \
	 ../../map.o \
	 ../../mobref.o \
	 ../../msg.o \
	 ../../name.o \
	 ../../piety.o \
	 ../../rand.o \
	 ../../signpost.o \
	 ../../smokestack.o \
	 ../../speed.o \
	 ../../sramstream.o \
	 ../../stylus.o \
	 ../../victory.o \
	 ../../encyclopedia.o \
	 ../../glbdef.o \
	 ../../credits.o \
	 ../../license.o \
	 ../../gfx/all_bitmaps.o \
	 ../../rooms/allrooms.o

include ../../make/makerules.OSX

clean:
	rm -f $(OFILES)
	rm -f $(TARGET)

premake:
	cd ../../rooms ; ./buildrooms.bash
	cd ../../gfx ; ./rebuild.sh
	cd ../.. ; support/enummaker/enummaker source.txt
	cd ../.. ; support/txt2c/txt2c LICENSE.TXT license.cpp
	cd ../.. ; support/txt2c/txt2c CREDITS.TXT credits.cpp
	cd ../.. ; support/encyclopedia2c/encyclopedia2c encyclopedia.txt

=== support/bmp2c/Makefile ===
TARGET = bmp2c

OFILES = bmp2c.o \
	 stdafx.o

include ../../make/makerules

=== support/compendium/Makefile ===
TARGET = compendium

OFILES = compendium.o \
	 ../../glbdef.o \
	 ../../gfx/all_bitmaps.o \
	 ../../buf.o \
	 ../../encyclopedia.o

include ../../make/makerules

=== support/enummaker/Makefile ===
TARGET = enummaker

OFILES = enummaker.o \
	 StdAfx.o

include ../../make/makerules

=== support/map2c/Makefile ===
TARGET = map2c

OFILES = map2c.o \
	 stdafx.o

include ../../make/makerules

=== support/splicebmp/Makefile ===
TARGET = splicebmp

OFILES = splicebmp.o \
	 stdafx.o

include ../../make/makerules

=== debian/changelog ===
powder (118+dfsg1-5) unstable; urgency=medium

  * XS-Autobuild: yes, confirmed.
  * Bump standards version to 4.7.2.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Tue, 07 Oct 2025 14:58:36 +0200

powder (118+dfsg1-4) unstable; urgency=medium

  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Sun, 02 Jun 2024 21:02:23 +0000

powder (118+dfsg1-3) unstable; urgency=medium

  * Fix maintainer address. (Closes: #950339)
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Feb 2020 14:47:50 +0100

powder (118+dfsg1-2) unstable; urgency=medium

  * Bump standards version to 4.4.1.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 31 Jan 2020 15:18:29 +0100

powder (118+dfsg1-1) unstable; urgency=medium

  * debian/README.source: added, repacked for lintian clean up.
  * Build debug file with debug symbols.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 25 Jan 2019 12:38:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: powder
 Section: non-free/games
 Priority: optional
-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8), libsdl1.2-dev
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), libsdl1.2-dev
 Homepage: http://www.zincland.com/powder/
 XS-Autobuild: yes
-Standards-Version: 3.9.8
+Vcs-Browser: https://salsa.debian.org/games-team/powder
+Vcs-Git: https://salsa.debian.org/games-team/powder.git
+Standards-Version: 4.7.2
 
 Package: powder
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 build-stamp:
 	dh_testdir
-	bash -ex ./buildall.sh --use-home-dir
+	CXXFLAGS=-g bash -ex ./buildall.sh --use-home-dir
 	touch $@
 
 clean:
